KPanelAppMenu Class Reference

`#include <kpanelappmenu.h>`

Inheritance diagram for KPanelAppMenu:

## Signals

void | activated (int id)

## Public Member Functions

| KPanelAppMenu (const QString &title, QObject *parent=0, const char *name=0)
| KPanelAppMenu (const QPixmap &icon, const QString &title, QObject *parent, const char *name)
| KPanelAppMenu (QObject *parent, const char *name)
| ~KPanelAppMenu ()
int | insertItem (const QString &text, int id=-1)
int | insertItem (const QPixmap &icon, const QString &text, int id=-1)
KPanelAppMenu * | insertMenu (const QPixmap &icon, const QString &text, int id=-1)
void | clear ()
bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Protected Member Functions

void | init (const QPixmap &icon, const QString &title)

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

DCop client menu class for the Kicker panel that will insert a submenu into the KDE menu.

Author
  Daniel M. Duley mosfe.nosp@m.t@kd.nosp@m.e.org

Definition at line 37 of file kpanelappmenu.h.

## Constructor & Destructor Documentation

KPanelAppMenu::KPanelAppMenu | ( | const QString & | title,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a new menu with the given title.

Definition at line 38 of file kpanelappmenu.cpp.

KPanelAppMenu::KPanelAppMenu | ( | const QPixmap & | icon,
|  | const QString & | title,
|  | QObject * | parent,
|  | const char * | name
| ) |  |

Same as above, but with an icon for the submenu item.

Definition at line 45 of file kpanelappmenu.cpp.

KPanelAppMenu::KPanelAppMenu | ( | QObject * | parent,
|  | const char * | name
| ) |  |

Constructs a new (sub)menu with a given id.

Definition at line 54 of file kpanelappmenu.cpp.

KPanelAppMenu::~KPanelAppMenu | ( |  | ) |

Make sure you actually destroy this thing or the menu will never go away until this application quits or Kicker restarts ;-)

Definition at line 87 of file kpanelappmenu.cpp.

## Member Function Documentation

void KPanelAppMenu::activated | ( | int | id | ) |

signal

Emitted when the user selects an item from the Kicker menu.

void KPanelAppMenu::clear | ( |  | ) |

Clears the menu.

Definition at line 147 of file kpanelappmenu.cpp.

int KPanelAppMenu::insertItem | ( | const QString & | text,
|  | int | id = `-1`
| ) |  |

Inserts an item into the menu.

Definition at line 134 of file kpanelappmenu.cpp.

int KPanelAppMenu::insertItem | ( | const QPixmap & | icon,
|  | const QString & | text,
|  | int | id = `-1`
| ) |  |

Inserts an item with a icon.

The icon name must be a full path.

Definition at line 96 of file kpanelappmenu.cpp.

KPanelAppMenu * KPanelAppMenu::insertMenu | ( | const QPixmap & | icon,
|  | const QString & | text,
|  | int | id = `-1`
| ) |  |

Inserts a sub menu with a icon.

The icon name must be a full path.

Definition at line 109 of file kpanelappmenu.cpp.

bool KPanelAppMenu::process | ( | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData
| ) |  |

virtual

Reimplemented from DCOPObject.

Definition at line 155 of file kpanelappmenu.cpp.

The documentation for this class was generated from the following files:

- kpanelappmenu.h
- kpanelappmenu.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys